/*       Allgemein Formulare für User           */

.formular_user {display: flex; flex-direction: column; width: 100%;}
.formular_user .eine_zeile_form {display: flex; flex-wrap: wrap; align-items: center; margin: 12px 0;}
.formular_user .fieldset_form {border: 3px solid var(--hellgrau); border-radius: var(--borderradius); margin: 15px 0; padding: 10px 25px;}
.formular_user .fieldset_form legend {border-radius: var(--borderradius); background-color: var(--hellgrau); padding: 5px 15px; margin-left: -15px;}
.formular_user .fieldset_form fieldset {border-radius: var(--borderradius); background-color: #f3f3f3; padding: 15px 25px; border: none; margin: 15px 0;}

.formular_user .label_vor_input, .formular_user label  {margin-right: 5px; width: 30%; min-width: 130px; max-width: 230px;}
.formular_user .label_vor_input_volle_breite {margin-right: 5px; width: 30%; min-width: 100%}
.formular_user .div_wie_label {margin-right: 5px; width: 30%; min-width: 130px; max-width: 230px;}

.formular_user .label_hinter_checkbox {width:auto; max-width: 100%; }

.formular_user .div_zwei_inputs_als_eins {flex: 1; max-width: 522px; min-width: 160px; display: flex;}
.formular_user .div_zwei_inputs_als_eins .input_allgemein {min-width: 100px;}


.formular_user .input_allgemein, .formular_user input {flex: 1; max-width: 500px; min-width: 160px; border-radius: 3px; padding: 6px 10px; border: 1px solid #c7c7c7; background-color: #f3f3f3;}
.formular_user .input_allgemein:focus {background-color: white;}

.formular_user .input_zeit {border-radius: 3px; padding: 6px 10px; border: 1px solid #c7c7c7; background-color: #f3f3f3; width: 77px;}
.formular_user .input_zeit:focus { background-color: white;}


.formular_user .input_nach_label {}
.formular_user .input_plz_vor_ort {max-width: 60px; min-width: 40px; margin-right: 5px;}
.formular_user .div_zwei_inputs_als_eins .input_plz_vor_ort {max-width: 60px; min-width: 40px; margin-right: 5px;}
.formular_user .input_nr_nach_str {max-width: 60px; min-width: 40px; margin-left: 5px;}
.formular_user .div_zwei_inputs_als_eins .input_nr_nach_str {max-width: 60px; min-width: 40px; margin-left: 5px;}
.formular_user .input_vor_vor_nachname {margin-right: 5px;}
.formular_user .div_zwei_inputs_als_eins .input_vor_vor_nachname {margin-right: 5px;}

.formular_user .input_vierziffern {margin-right: 5px; width: 35px; flex: unset; min-width: 0; text-align: right;}
.formular_user .input_kurzeingabe {margin-right: 5px; width: 45px; flex: unset; min-width: 0; }


.formular_user .select_allgemein, .formular_user select {flex: 1; max-width: 522px; min-width: 160px; border-radius: 3px; padding: 6px 10px; border: 1px solid #c7c7c7; background-color: #f3f3f3;}
.formular_user .select_allgemein:focus {background-color: white;}

.formular_user .textarea_form, .formular_user textarea  {flex: 1; max-width: 500px; min-width: 160px; border-radius: 3px; padding: 6px 10px; border: 1px solid #c7c7c7; background-color: #f3f3f3; min-height: 60px; font-family: sans-serif; font-size: 0.85rem; line-height: 1.3rem;}
.formular_user .textarea_form:focus {background-color: white;}

.formular_user .radio_form, .formular_user input[type="radio"] {margin: 0 5px 0 0; min-width: 15px; flex: unset;}

.formular_user .checkbox_form, .formular_user input[type="checkbox"] {margin: 0 5px 0 0; min-width: 15px; flex: unset;}


.formular_user .input_submit {background-color: var(--hauptfarbe); color: white; border: 2px solid var(--hauptfarbe); border-radius: var(--borderradius); padding: 4px 8px; transition: 0.3s; margin: 22px 0; max-width: 350px;}
.formular_user .input_submit:hover {cursor: pointer; background-color: white; color: black;}

.formular_user .input_submit_klein {background-color: var(--hauptfarbe); color: white; border: 2px solid var(--hauptfarbe); border-radius: var(--borderradius); padding: 4px 8px; transition: 0.3s; margin: 5px;}
.formular_user .input_submit_klein:hover {cursor: pointer; background-color: white; color: black;}
.formular_user .sternchen_eingabe_noetig {color: red; }


span.zusatzinfo {font-weight: normal; font-size: 0.75rem; line-height: 1rem;}

/*       Allgemein Formulare für Bearbeiter           */

.formular_cms {} /* von oben kopieren erstmal, aber mit diesem Klassenselektor */


.input_submit {background-color: var(--hauptfarbe); color: white; border: 2px solid var(--hauptfarbe); border-radius: var(--borderradius); padding: 4px 8px; transition: 0.3s; margin: 22px 0; max-width: 350px;}
.input_submit:hover {cursor: pointer; background-color: white; color: black;}
.input_submit_klein {background-color: var(--hauptfarbe); color: white; border: 2px solid var(--hauptfarbe); border-radius: var(--borderradius); padding: 4px 8px; transition: 0.3s; /*margin: 5px;*/}
.input_submit_klein:hover {cursor: pointer; background-color: white; color: black;}
.input_submit_klein.deaktiviert {opacity: 0.7; cursor: default}
.input_submit_klein.deaktiviert:hover {opacity: 0.8; cursor: default}



/*       Kontaktformular Seitenelement          */

#kontaktformular {width: 100%; max-width: 40em; margin: 25px 0;}
#kontaktformular p {font-size: 0.85rem;}
#kontaktformular label { color: #000; float: left; margin-top: 0.5em; font-size: 0.85rem;} 
#kontaktformular input { float: left; margin-top: 0.5em; }
#kontaktformular textarea { width: 37em; height: 9em; }

#kontaktformular fieldset {background-color: var(--hauptfarbe_hellhinterg); border: 1px solid var(--hauptfarbe); border-radius: var(--borderradius);}
#kontaktformular fieldset legend {background-color: var(--hauptfarbe); color: white; padding: 3px 8px; border-radius: var(--borderradius); font-size: 0.85rem;}

#kontaktformular input[type="text"], #kontaktformular textarea {padding: 4px 6px; font-family: sans-serif; border-radius: var(--borderradius); border: 1px solid var(--hauptfarbe); font-size: 0.85rem;}

#kontaktformular #kontaktform_fieldset_angaben label {width: 25%;}
#kontaktformular #kontaktform_fieldset_angaben input {width: 65%;}
#kontaktformular #kontaktform_fieldset_angaben input[name="plz"] {width: 10%; margin-right: 2%;}
#kontaktformular #kontaktform_fieldset_angaben input[name="ort"] {width: 51%;}

#kontaktformular #kontaktform_fieldset_anfrage {margin-top: 10px;}

#kontaktformular #kontaktform_fieldset_anfrage textarea {width: 90%;}

#kontaktformular #checkbox_datenschutz_kontaktform {width: 100%; display: flex; flex-wrap: wrap; align-items: center;}
#kontaktformular #checkbox_datenschutz_kontaktform label {margin-top: 0;}

#kontaktformular #spam_schutz_kontaktformular {height: auto; width: 100%; display: flex; flex-wrap: wrap;}
#kontaktformular #spam_schutz_kontaktformular #spam_schutz_kontaktformular_text {margin-top: 15px;}
#kontaktformular #spam_schutz_kontaktformular #spam_schutz_kontaktformular_text p {margin: 0;}
#kontaktformular #spam_schutz_kontaktformular #spam_schutz_kontaktformular_text p b {letter-spacing: 1px;}
#kontaktformular #spam_schutz_kontaktformular input {width: 90%;}

#kontaktformular #hinweis_pflichtfelder {width: 100%; margin-top: 15px;}
#kontaktformular #hinweis_pflichtfelder p {color: red; margin: 0; font-size: 0.8rem;}

#kontaktformular #kontaktform_senden {width: 100%; height: 50px;}
#kontaktformular #kontaktform_senden input[value="Anfrage senden"] {background-color: var(--hauptfarbe); color: white; border: 1px solid var(--hauptfarbe); border-radius: var(--borderradius); padding: 8px 12px; width: auto; transition: 0.3s; letter-spacing: 1px; font-size: 0.85rem;}
#kontaktformular #kontaktform_senden input[value="Anfrage senden"]:hover {cursor: pointer; background-color: white; color: black; border: 1px solid var(--hauptfarbe); border-radius: var(--borderradius); padding: 8px 12px; width: auto;}


.passwort_feld_mit_anzeige_bereich {display: flex !important; padding-left: 1% !important; padding-right: 0 !important; padding-top: 0 !important; padding-bottom: 0 !important;}
.passwort_feld_mit_anzeige_bereich .passwort_feld_mit_anzeige_bereich_label { margin-top: 0; display: inline-block; width: 28%; text-align: left !important;}
.passwort_feld_mit_anzeige_bereich .passwort_feld_mit_anzeige {display: inline-block !important; position: relative; padding: 0 !important; width: 66% !important;}
.passwort_feld_mit_anzeige_bereich .passwort_feld_mit_anzeige #password { padding: 0.8em !important; }
.passwort_feld_mit_anzeige_bereich .passwort_feld_mit_anzeige .passwort_feld_mit_anzeige_innen {border: none; border-radius: var(--borderradius); padding: 6px 10px; font-size: 0.9rem; width: 100%;}

.passwort_feld_mit_anzeige .passwort_feld_mit_anzeige_innen_auge { display: block !important; padding: 0.4em !important; background-image: url("/bilder/icons/auge_offen.svg"); background-position: center; background-repeat: no-repeat; background-size: 100%; cursor: pointer; position: absolute; right: -1em; width: 1.2em !important; height: 1.2em; top: 0.2em; filter: opacity(50%); background-color: white;}
.passwort_feld_mit_anzeige .passwort_feld_mit_anzeige_innen_auge.acktiv { filter: hue-rotate(10deg);}

.dialog-fenster-hintergrund { z-index: 21;position: fixed; background-color: #222222; opacity: 0.6; width: 100vw; height: 100vh; top:0;}
.dialog-fenster-bereich { position: fixed; z-index: 120; width: 100%; height: 100%; left: 0; top: 0; display: none; opacity: 0; transition: opacity 650ms; transition-timing-function: ease-in;}

.dialog-fenster-bereich.eingeblended { display: flex; opacity: 1; flex-wrap: wrap; justify-content: center; align-items: center;}

.dialog-fenster-bereich .dialog-fenster-inhalt { position: relative; background-color: white; z-index: 22; border-radius: var(--borderradius); width: 75%; height: 75%; box-shadow: 0 3px 5px -1px #0003, 0 6px 10px #00000024, 0 1px 18px #0000001f; overflow-y: auto; display: grid; grid-template-rows: 14% 73% 11%;}

.dialog-fenster-bereich .dialog-fenster-inhalt .dialog-fenster-head {display: flex; flex-wrap: wrap; justify-content: center; align-items: center; padding: 20px; background-color: var(--hauptfarbe); .text-transform: uppercase; letter-spacing: 1px; border-top-left-radius: var(--borderradius); border-top-right-radius: var(--borderradius); position: sticky; top: 0; width: calc(100% - 40px); z-index: 1; height: 20%; align-content: center;}
.dialog-fenster-bereich .dialog-fenster-inhalt .dialog-fenster-head h3 {margin: 0; font-size: 1.2rem; line-height: 1.2rem;  color: var(--system_dlg_titel_farbe);}
.dialog-fenster-bereich .dialog-fenster-inhalt .dialog-fenster-head .dialog-fenster-kontrolle {position: absolute; right: 20px;}
.dialog-fenster-bereich .dialog-fenster-inhalt .dialog-fenster-head .dialog-fenster-kontrolle .vorschau-schliessen-kreuz { background-image: url("/bilder/icons/x_schliessen.png"); background-repeat: no-repeat; background-position: center; width: 2em; height: 2em; filter: grayscale(1) invert(1);}
.dialog-fenster-bereich .dialog-fenster-inhalt .dialog-fenster-head .dialog-fenster-kontrolle .vorschau-schliessen-kreuz:hover {filter: grayscale(1) invert(1) brightness(50%); cursor: pointer;}

.dialog-fenster-bereich .dialog-fenster-inhalt .dialog-fenster-body {display: block; max-height: 100%; overflow-x: hidden; overflow-y: auto;}
.dialog-fenster-bereich .dialog-fenster-inhalt .dialog-fenster-body.dialog-fenster-body-mitte_zentiert {display: flex; flex-wrap: wrap;  justify-content: center;align-items: center;}
.dialog-fenster-bereich .dialog-fenster-inhalt .dialog-fenster-body.innen_abstand {padding: 3em;}


.dialog-fenster-bereich .dialog-fenster-inhalt .dialog-fenster-foot {height: 100%; display: flex; padding: 0.3em; justify-content: space-between; align-items: center; border-top: 1px gainsboro groove;}
.dialog-fenster-bereich .dialog-fenster-inhalt .dialog-fenster-foot .input_submit {height: 2.4em;}
.dialog-fenster-bereich .dialog-fenster-inhalt .dialog-fenster-foot .input_submit_klein  {height: 60%;}

.dialog-fenster-bereich .dialog-fenster-label {font-weight: bold; display: block;}

.magicPdfRenderArea.active {padding: 0 !important;}

#intuitive_vorlage_baustein_verschieben_dailog .dialog-fenster-inhalt {height: 77%;left: 25%;top: 14%;}
#intuitive_vorlage_baustein_verschieben_dailog .dialog-fenster-inhalt .dialog-fenster-body {padding: 2em; height: 72%;}

.cms_std_btn { background-color: var(--hauptfarbe); color: var(--hell); border: none; border-radius: var(--borderradius); padding: 5px 15px; font-size: 0.9rem; transition: 0.3s;}
.cms_std_btn:hover {cursor: pointer; background-color: var(--hauptfarbe_alternativ); color: var(--hell);}

.cms_link_als_btn { background-color: var(--hauptfarbe); color: var(--hell); border: 2px solid var(--hauptfarbe); border-radius: var(--borderradius); padding: 0 15px; font-size: 0.9rem; transition: 0.3s;}
.cms_link_als_btn:hover { cursor: pointer; background-color: var(--hauptfarbe_alternativ); color: var(--hell);}


@media screen and (max-width: 768px) {
 .formular_user .input_submit {max-width: 100%;}
 .formular_user .label_vor_input {min-width: 100%;}
 .formular_user .div_wie_label {min-width: 100%;}
}